package cn.estsh.i3plus.core.apiservice.schedulejob;

import cn.estsh.impp.framework.base.schedule.BaseImppScheduleJob;
import cn.estsh.impp.framework.boot.init.ApplicationProperties;
import io.swagger.annotations.ApiOperation;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-03-12 17:51
 * @Modify:
 **/
@ApiOperation("测试微服定时任务demo")
public class DemoCloudJob extends BaseImppScheduleJob {
    public static final Logger LOGGER = LoggerFactory.getLogger(DemoJob.class);

    public DemoCloudJob() {
        super(DemoJob.class,"测试微服定时任务demo");
    }

    @Override
    public void executeImppJob(JobExecutionContext context, ApplicationProperties applicationProperties) {
        System.out.println("==============测试微服定时任务demo===========");
    }
}
